Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.zookeeper
Interface ZooDefs.Ids

Enclosing class:
  ZooDefs

    public static interface ZooDefs.Ids

Field Summary
`static Id` | `ANYONE_ID_UNSAFE` This Id represents anyone.
`static Id` | `AUTH_IDS` This Id is only usable to set ACLs.
`static ArrayList<ACL>` | `CREATOR_ALL_ACL` This ACL gives the creators authentication id's all permissions.
`static ArrayList<ACL>` | `OPEN_ACL_UNSAFE` This is a completely open ACL .
`static ArrayList<ACL>` | `READ_ACL_UNSAFE` This ACL gives the world the ability to read.

Field Detail

### ANYONE_ID_UNSAFE

    static final Id ANYONE_ID_UNSAFE

  This Id represents anyone.

### AUTH_IDS

    static final Id AUTH_IDS

  This Id is only usable to set ACLs. It will get substituted with the Id's the client authenticated with.

### OPEN_ACL_UNSAFE

    static final ArrayList<ACL> OPEN_ACL_UNSAFE

  This is a completely open ACL .

### CREATOR_ALL_ACL

    static final ArrayList<ACL> CREATOR_ALL_ACL

  This ACL gives the creators authentication id's all permissions.

### READ_ACL_UNSAFE

    static final ArrayList<ACL> READ_ACL_UNSAFE

  This ACL gives the world the ability to read.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation